## tokyocabinet 1.4.23

=== example/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tcutilex tchdbex tcbdbex tcadbex
+MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex
 
 # Building binaries
 CC = gcc
@@ -68,6 +68,14 @@
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
+tcfdbex : tcfdbex.o
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctdbex : tctdbex.o
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
 tcadbex : tcadbex.o
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
