## tokyocabinet 1.4.37

=== debian/changelog ===
tokyocabinet (1.4.37-6ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2011 23:01:51 +0100

tokyocabinet (1.4.37-6) unstable; urgency=high

  * Woops, the test-suite was incorrectly disabled, enable it again.
  * Bump the urgency to high as this fixes the last RC issue of the package
    (unbuildable on s390). The RC bug isn't closed as it isn't really an
    tokyocabinet bug but likely a glibc one (see #555540).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:36:27 +0200

tokyocabinet (1.4.37-5) unstable; urgency=low

  * Move to debhelper 7.
  * Switch to dpkg-source 3.0 (quilt) format
  * Disable pthread support on s390, hopefully fixing the test-suite for now.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:21:30 +0200

tokyocabinet (1.4.37-4) unstable; urgency=high

  * Disable the test-suite on armel until the buildds kernels are fixed.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 07 Feb 2010 11:14:51 +0100

tokyocabinet (1.4.37-3) unstable; urgency=low

  * The "succeeding in contacting upstream helps" upload:
    + Add upstream patch Fix FTBFS on sparc.
    + Disable UCB on hppa (Closes: #531993) as upstream suggests.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 Nov 2009 12:59:30 +0100

tokyocabinet (1.4.37-2) unstable; urgency=low

  * Add patches/0004-Cherry-pick-alignment-fixes-from-1.4.38.patch to try to
    fix SIGBUSes on sparc and hppa.
  * Fix section for libtokyocabinet-dbg (Use debug).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 Nov 2009 21:57:05 +0100

tokyocabinet (1.4.37-1) unstable; urgency=low

  * New upstream release (Closes: #508835, #530966).
  * Add debian/watch file thanks to Chris Lamb.
  * Add patches/0003-Readd-alias-symbols-for-tcmpoolput-APIS.patch to avoid
    ABI bump.
  * Move tokyocabinet packaging to collab-maint.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 08 Nov 2009 16:12:00 +0100

tokyocabinet (1.4.23-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 30 May 2009 17:46:41 +0200

tokyocabinet (1.4.14-2) unstable; urgency=low

  * Upload to unstable this time.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 14 Apr 2009 00:16:18 +0200

tokyocabinet (1.4.14-1) experimental; urgency=low

  * New upstream release.
  * Add missing build-depend on libbz2-dev (Closes: #505317).
  * Fix package installation of manpages (Closes: #506948).
  * Bump soname (libtokyocabinet8).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 13 Apr 2009 14:22:02 +0200

tokyocabinet (1.3.15-2) experimental; urgency=low

  * Add patches/0003-remove-HOME-use-in-CPPFLAGS-and-friends.patch to make
    tokyocabinet build again. (Closes: #505171).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 11 Nov 2008 08:15:12 +0100

tokyocabinet (1.3.15-1) experimental; urgency=low

  * New upstream release (Closes: #489784).
  * Rename library packages for soname bump (3 -> 5).
  * Update symbols file.
  * Bump standards version to 3.8.0 (No changes required).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 03 Nov 2008 15:46:49 +0100

tokyocabinet (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump packages sonames (libtokyocabinet2 -> libtokyocabinet3).
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 06 Apr 2008 11:20:19 +0200

tokyocabinet (1.1.15-2) unstable; urgency=low

  * debian/rules: use proper dbg package name.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 14:11:24 +0100

tokyocabinet (1.1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + Remove soname from -dbg package name.
     + Rename libtokyocabinet1 into libtokyocabinet2.
  * Refresh patches:
     + drop 0003-debian-packaging-refresh-autotools.patch, upstream autotools
       are up to date.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 11:25:01 +0100

tokyocabinet (1.1.10-2) unstable; urgency=high

  * libtokyocabinet-dev.install: wildcard /usr/include/*.h to install _every_
    headers (Closes: 463057).
  * Bump urgency to high as 10-1 with a missing header migrated to testing and
    needs the missing header badly.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jan 2008 19:23:28 +0100

tokyocabinet (1.1.10-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 17 Jan 2008 23:09:15 +0100

tokyocabinet (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 03 Jan 2008 09:59:55 +0100

tokyocabinet (1.1.6-2) unstable; urgency=low

  * That was aimed at unstable in the first place…

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 18:53:37 +0100

tokyocabinet (1.1.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh Avoid-LDENV-to-avoid-rpaths.patch for the new binary.
  * debian/libtokyocabinet1.symbols:
     + remove the debian revisions from the package versions.
     + update file with new symbols, bump shlibs.
  * debian/rules:
     + honour DEB_BUILD_OPTIONS=noopt.
     + honour DEB_BUILD_OPTIONS=nocheck.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 10:18:01 +0100

tokyocabinet (1.1.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3, no changes required.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 Dec 2007 11:55:27 +0100

tokyocabinet (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Add a symbols files (fake one from 1.1.0-2 for that matter).
  * Bump shlibs for new symbols.
  * Upload to experimental given my high confidence in the whole system.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 17 Dec 2007 11:39:46 +0100

tokyocabinet (1.1.0-2) unstable; urgency=low


