=== debian/watch ===
version=3
http://sf.net/tokyocabinet/tokyocabinet-([\d\.-]+)\.tar\.gz
