## tokyocabinet 1.4.47

=== debian/changelog ===
tokyocabinet (1.4.47-2) unstable; urgency=low

  * Package is now maintained in an new git repository.
  * Set package priority of libtokyocabinet-dev to extra.
  * Add Multi-Arch support
  * Set d/compat 9
  * Cleanup d/rules

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 30 Apr 2012 13:52:17 +0200

tokyocabinet (1.4.47-1) unstable; urgency=low

  * New maintainer. (Closes: #650830)
  * new upstream release (Closes: #578745)
  * Removed patch 0004-Cherry-pick-alignment-fixes-from-1.4.38.patch
  * Refreshed patch 0002-Avoid-LDENV-to-avoid-rpaths.patch
  * Rewrote 0006-disable-UBC-feature-on-hppa-since-it-causes-test-
    sui.patch

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 12 Mar 2012 09:59:59 +0100

tokyocabinet (1.4.37-9) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS applied also for mips (Closes: #659554)
  * Re-enabled test suite on armel (Closes: #661685)
  * Lintian fixes for
      - no-homapege-field
      - copyright-refers-to-symlink-license
  * As upstream does not use sf.net for releases anymore, removing
    the watchfile. Adding a lintian override for this.
  * Bumped S-V to 3.9.3, only change required was to update
    debian/copyright
  * Do not install docs a second time under /usr/share/tokyocabinet.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 01 Mar 2012 11:14:14 +0100

tokyocabinet (1.4.37-8) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS on mipsel. (Closes: #659554)
  * Extending several package descriptions, as they were too short
    (fixes lintian informational warnings)
  * Renamed patches to have same naming scheme

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 29 Feb 2012 08:30:02 +0100

tokyocabinet (1.4.37-7) unstable; urgency=low

  * QA upload
  * Orphaned for more than 14 days: Setting maintainer to QA.
  * Disable pthread support on s390x (Closes: #638625)
  * Do not use msync-syscall on hurd (Closes: #659510)
  * update -dbg Package description (Closes: #596502)
  * Fixes lintian warning "manpage-section-mismatch"
  * Fixes lintian warning "debug-package-should-be-priority-extra"
    on libtokyocabinet-dbg

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 11 Feb 2012 19:22:42 +0100

tokyocabinet (1.4.37-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: switch Priority to standard (Closes: 609115)
  * debian/patches:
    + 0007-fix-FTBFS-with-binutils-gold.patch (Closes: 556496)

 -- Antonio Radici <antonio@dyne.org>  Sat, 23 Apr 2011 10:09:15 +0100
