=== debian/control ===
Source: tokyocabinet
Section: libs
Priority: standard
Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 9),
               libbz2-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://fallabs.com/tokyocabinet/
Vcs-Browser: https://gitorious.org/tokyocabinet-debian/tokyocabinet-debian/trees/master
Vcs-Git: http://git.gitorious.org/tokyocabinet-debian/tokyocabinet-debian.git

Package: libtokyocabinet9
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokyo Cabinet Database Libraries [runtime]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the runtime package for programs that use the Tokyo Cabinet database
 library.

Package: libtokyocabinet-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libtokyocabinet9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tokyo Cabinet Database Libraries [debug]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the debugging symbols for the Tokyo Cabinet database library.

Package: libtokyocabinet-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libtokyocabinet9 (= ${binary:Version}), ${misc:Depends}
Description: Tokyo Cabinet Database Libraries [development]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the development package which contains headers and static libraries
 for the Tokyo Cabinet database library.

Package: tokyocabinet-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Tokyo Cabinet Database Documentation
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This package contains documentation for all of the API's and utilities
 provided by Tokyo Cabinet.

Package: tokyocabinet-bin
Architecture: any
Section: utils
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokyo Cabinet Database Utilities
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the Tokyo Cabinet Database utilities package.
