=== example/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for sample programs of Hyper Estraier
+# Makefile for sample programs of Tokyo Cabinet
 
 
 
@@ -11,13 +11,14 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex
+MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex tctchat.cgi tctsearch.cgi
 
 # Building binaries
 CC = gcc
-CFLAGS = -ansi -Wall -pedantic -I. -I.. -Wall
+CFLAGS = -I. -I.. -ansi -Wall -pedantic -fsigned-char -O2
+C99FLAGS = -I. -I.. -std=c99 -Wall -pedantic -fsigned-char -O2
 LDFLAGS =
-LIBS = -L. -L.. -ltokyocabinet -lz -lpthread -lm -lc
+LIBS = -L. -L.. -ltokyocabinet -lz -lbz2 -lpthread -lm -lc
 LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..
 
 
@@ -44,10 +45,14 @@
 
 
 clean :
-	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *~
+	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *.tct *.idx.* *~
 
 
-.PHONY : all clean
+static :
+	make LDFLAGS="$(LDFLAGS) -static"
+
+
+.PHONY : all clean static tctchat.tct tctsearch.tct
 
 
 
@@ -80,5 +85,29 @@
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
+tctchat.cgi : tctchat.c
+	$(LDENV) $(CC) $(C99FLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctsearch.cgi : tctsearch.c
+	$(LDENV) $(CC) $(C99FLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctchat.tct :
+	rm -rf tctchat.tct*
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr create tctchat.tct
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctchat.tct "t"
+	chmod 666 tctchat.tct*
+
+
+tctsearch.tct :
+	rm -rf tctsearch.tct*
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr create tctsearch.tct
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctsearch.tct "text"
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctsearch.tct "title"
+	../lab/htmltotsv .. | \
+	  LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr importtsv tctsearch.tct
+
+
 
 # END OF FILE
