=== debian/changelog ===
tokyocabinet (1.4.48-2) unstable; urgency=low

  * Fix "[Mayhem] Bug report on tokyocabinet-bin: tcucodec crashes with exit
    status 139": New patch 0012-fix_segv_tcbsdecode.patch  (Closes: #716716)
  * tokyocabinet-dbg should be Multi-Arch:same

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 12 Jul 2013 00:45:02 +0200

tokyocabinet (1.4.48-1) unstable; urgency=low

  * New upstream release
  * Enable hardening
  * Add watchfile (Closes: #697555)
  * Enable parallel build
  * Bump S-V to 3.9.4, no changes necessary

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 15 May 2013 23:10:28 +0200
