=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends: autotools-dev,
                chrpath,
                debhelper (>= 9),
+	       hardening-wrapper,
                libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://fallabs.com/tokyocabinet/
 Vcs-Browser: https://gitorious.org/tokyocabinet-debian/tokyocabinet-debian/trees/master
 Vcs-Git: http://git.gitorious.org/tokyocabinet-debian/tokyocabinet-debian.git
@@ -30,6 +31,7 @@
 Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libtokyocabinet9 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
