=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,23 @@
 #!/usr/bin/make -f
 
-CFLAGS = -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-LDFLAGS= -Wl,-z,defs
+# enable hardening
+export DEB_BUILD_HARDENING=1
+
+# Support parallel build
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+   MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+CFLAGS += -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+LDFLAGS+= -Wl,-z,defs
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
