=== debian/watch ===
version=3
http://fallabs.com/tokyocabinet/ (?:.*/|)tokyocabinet[_\-]?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 29 Jan 2013 21:23:27 +0000
